To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

4
votes
1answer
4k views

How to update glibc to 2.14 in CentOS 6.5

I want to install Android NDK on my CentOS 6.5 machine. But when I ran the program, it says it needs glibc 2.14 to be able to run. My CentOS 6.5 only has Glibc 2.12 installed. So I tried to update ...
2
votes
1answer
66 views

Update jails FreeBSD in silent mode

What if I want to add all process to the cron? Is there silent way to upgrade jail? After these steps: # make buildworld # make installworld DESTDIR=/jails/somejail It comes time to: # ...
2
votes
1answer
163 views

debian update-problem

When I run sudo apt-get upgrade: libc6-i386:dependency: libc6 (= 2.17-93) but 2.17-92+b1 have been installed; so dpkg gives an error and all the updates can not continue. If I try sudo apt-get -f ...
2
votes
1answer
596 views

How to get the latest GNOME shell in Fedora?

I want to try gnome-shell 3.5 but I dont see it in the repos, I'm using Fedora 17, is there any way adding gnome-shell 3.5 to my repos? Regards Update: Please note the question was asked on Aug ...
3
votes
0answers
129 views

update kernel without restart

Recently Linux got a new feature called Live Kernel Patching, which you means you dont have to restart your system to update kernel. Is there any other kernel which has this feature already or Linux ...
3
votes
0answers
74 views

Why libpam-systemd run interactively on apt upgrade, even when specified force-confdef/force-confold

I upgrade my packages using aptitude, specifying the apt options --force-confdef and --force-confold. This generally works, but the package libpam-systemd (204-5ubuntu20.8, on Ubuntu 14.04) still ...
3
votes
0answers
201 views

Screen flickering (only on desktop) with Fedora 20, but why?

I'm using Fedora 20 and since I returned from the weekend, my screen flickers very fast. This occurs only on the desktop (excluding the menubar, with the fedora-menu and the clock, etc.) and the ...
2
votes
0answers
309 views

OpenGL acceleration stopped working after upgrading to Wheezy

After upgrading recently from Squeeze to Wheezy, my 3D acceleration suddenly stopped working. I'm using IBM Thinkpad T60 with ATI M52 [Mobility Radeon X1300]. I found in Xorg.0.log: [ 48286.173] ...
2
votes
0answers
126 views

I recently ran updates now the terminal doesn't see installed packages

As the title says, I recently ran the system updater. At the time there was 400 updates. I installed them all and everything was peachy. A few days later it showed that I had more updates. So, ...
2
votes
0answers
84 views

xdelta3 fails to decode on block device

I'm trying to use xdelta3 to bring a remote block device into sync with a local one. I'm able to easily generate a xdelta3 patch file using the command: xdelta3 -e -B 33554432 -v -9 -I 0 -s ...
2
votes
0answers
460 views

Automatically update MPD database upon external storage insertion

I have an Alix board in my living room running Voyage MPD edition and acting as jukebox. In order to play "guest" music, I would like that MPD automatically updates its database with the content of ...
2
votes
0answers
86 views

Can sources.list only be updated by hand?

I'm currently running Linux Mint. I remember that under Ubuntu, whenever a new release comes out, it prompts you with a choice of whether to upgrade or not. It seems like this is not happening in ...
1
vote
0answers
15 views

The command “dmidecode -t 17 | grep Size” showing in CentOS release 6.5 (Final).

Recently I upgraded the system(Dell 720) RAM 8 to 16 GB(4*2[new ram]), but it is still showing old amount of RAM(ie 8GB). Please help me, If I need to install driver(module). Kindly Let me know all ...
1
vote
0answers
27 views

Error during ubuntu upgrade (errors were encountered while processing)

I am trying to upgrade my ubuntu from 11.10 to 14.10 but I got this error message when I ran sudo apt-get -f install errors were encountered while processing: ...
1
vote
0answers
95 views

Is there any way to upgrade from KDE 4 to 5 on Linux Mint 17?

Earlier you could install KDE5 via repository using Project Neon, like these: http://www.webupd8.org/2014/07/how-to-install-plasma-5-in-kubuntu-1410.html, but unfortunately PPA maintainer deleted it, ...
1
vote
0answers
20 views

How can I upgrade an application from new source?

I am runnign debian wheezy. I have PHP 5.4 installed from default repos. And now I have added these to sources list to upgrade to PHP 5.6 deb http://packages.dotdeb.org wheezy all deb-src ...
1
vote
0answers
56 views

Problem dual booting windows 8 and ubuntu 14.04

I had windows 8 for like 12 months Yesterday I choose to install ubuntu 14.04. On windows 8 I had 2 partitions C(where windows was installed) and D(other ntfs partition). I shrunk D with 50 GB then I ...
1
vote
0answers
21 views

shutdown, reboot, printer setup etc. unavailable to normal user after upgrading debian

I did an upgrade to my Debian Jessie box and after that shutdown, hibernate and suspend options are disabled in the gui. I can not even connect any new wifi connections via Network Manager. Also ...
1
vote
0answers
28 views

Upgrading sources.list.d

We have a reprepro-server which hosts some packages we have developed for our Ubuntu-systems. It contains packages for precies and trusty. Our systems have the reprepro-server configured in ...
1
vote
0answers
58 views

un-official OS upgrade

I want to install a package called plasma-nm on Elementary OS Luna. But the problem is that software requires network-manager 0.9.8 or greater. while I have 0.9.7, can I upgrade network-manager? I ...
1
vote
0answers
104 views

Does the Linux Mint installer include an option to replace/upgrade ONLY Linux Mint on a dual boot system?

I have a dual boot system running Windows 7 64-bit and Linux Mint 16 (with Cinnamon). I'd like to replace Mint 16 with Mint 17 (I'm OK with completely wiping JUST Mint). I want to leave Windows ...
1
vote
0answers
145 views

AIX OS fileset with status Broken

Does someone encounter this error in AIX version 7.1 TL3? root@TEST:/ # lppchk -v the result is: lppchk: A parsing error occured for bos.sysmgt.quota 7.1.3.0 on line 1, column 23. ...
1
vote
0answers
565 views

Linux mint update problem

I am very new to Linux mint and I have a problem while doing updates. If I type sudo apt-get updates I will get the following: Err http://ppa.launchpad.net saucy/main Sources ...
1
vote
0answers
57 views

Assistance applying poorly packaged patches?

I manage a handful of servers running the various roles of a Ahsay online backup solution. A few times a year the software is updated and I need to apply patches on my servers. Annoyingly the ...
1
vote
0answers
1k views

Mint update manager not updating

After running update manager these are the error messages I get... E: Encountered a section with no Package: header E: Problem with MergeList ...
1
vote
0answers
817 views

Hanging at “Running Transaction Test” when trying to install php-soap

I have here a CentOS 5 and I'm trying to run yum install php-soap but the installer hangs on and the last step is Running Transaction Test. I found out that NFS shares are the problem. See here or ...
0
votes
0answers
16 views

Pacman can't resolve dependencies: Archbang

i tried installing the latest firefox (and other browsers like palemoon) and was suggested to first use pacman -S --needed base-devel but got 'target not found:base-devel'Then was informed by another ...
0
votes
0answers
10 views

No sound with audio jack

I am using a Debian wheezy on Netbook eeepc 1001px After last kernel update When I plug the audio jack, I can here the electric charge but no sound when I remove it the internal speaker works ...
0
votes
0answers
19 views

Error: version `GLIBC_2.14' not found

How do I run a program that was compiled against glibc 2.14 on an old system? I'm unable to update anything. Can I download newest glibc and somehow have the program use it instead of the installed ...
0
votes
0answers
67 views

Ubuntu 14.04.2 LTS keeps telling that a new release is available

I have upgraded my Ubuntu VM from 13.10 to 14.04.2 LTS. When I log in, it keeps telling me that a new release "14.04.2 LTS" is available: Welcome to Ubuntu 14.04.2 LTS (GNU/Linux 3.11.0-18-generic ...
0
votes
0answers
23 views

Update Bastille on Debian Linux (Mint)

Is there anyway to update Bastille to it's lastest version (3.2.1)? The one i'm using is 3.0.9 and it was kinda hard to even find it's package (which i found on another SE question: How can I install ...
0
votes
0answers
107 views

Update error Elementary OS Luna

Every time I update my system I get the following error. There is no updates, if I run the Update Manager again. So I assume that the updates are installed. The complete error code is ...
0
votes
0answers
87 views

Updating my version of php to the latest 5.5 version

I'm trying to update the version of php 5.5 to the latest version (5.5.20 at the time of writing). I'm doing this on a CentOS v6 machine. I've tried following the steps here: ...
0
votes
0answers
54 views

How do I set kernel-ml default in CentOS?

I have installed kernel-ml package from http://elrepo.org/tiki/kernel-ml Now I have both the original CentOS kernel and kernel-ml. How do I set kernel-ml as default on boot? Thank you!
0
votes
0answers
135 views

BASH-3 update: how to revert / undo the changes?

I am using Mint 17, 64-bit with Cinnamon. I recently updated Bash and following the update mint drivers are missing and mint is not working. So I want revert the changes. How can I do it? For ...
0
votes
0answers
204 views

How to update apache 2.2.12 to 2.2.15 on SUSE enterprise linux server 11?

I have a requirement where I need to upgrade my Apache on SUSE enterprise Linux server 11 from 2.2.12 to 2.2.15. I tried searching on web but couldn't get any definitive answers.
0
votes
0answers
95 views

Fedora 20 won't startup after shutdown during kernel update

I had a few bugs in my System(System Settings not opening and Firefox not starting) and I thought a kernel update(via yum) could do it some good. During that update, I suddenly got logged out as if ...
0
votes
0answers
434 views

Upgrade apache 2.2 on CentOS 5.1

I need to UPGRADE Apache on a CentOS 5.1 server. Its currently at 2.2.14 and I want to bring it up to the latest 2.2.29. Upgrading the OS is not an option, and I don't want to install Apache 2.4 and ...
0
votes
0answers
221 views

Upgrading from Fedora 17 to Fedora 20 (or higher)

I'm trying to upgrade my fedora 17 install to a more recent version. I have tried the following methods, which don't work: First, using fedup: # yum install ./fedup-0.8.1-1.fc20.noarch.rpm Loaded ...
0
votes
0answers
59 views

Intel Centrino Wirelsess-N 1030 not getting connected on generic mode in ubuntu 14.04

I upgraded Ubuntu from 12.04 to 14.04. After upgrading neither WLAN and ethernet work and also does not work in recovery mode (enable networking) or root shell. When booting the previous version ...
0
votes
0answers
772 views

Help with Setting up network connection in Debian 7.5.0

I'm a beginner using Debian. I've just installed Debian 7.5.0 amd netinst. When I execute apt-get update I get errors like: Could not resolve 'http.debian.org' Thus I changed the mirrors several ...
0
votes
0answers
1k views

How to resolve broken packages when upgrading: from Ubuntu 13.10 to 14.04

I am having an issues upgrading to 14.04 (Trusty Tahr) from 13.10 (Saucy Salamander), where I get a message Could not calculate the upgrade, and I believe it is due to my unofficial software packages. ...
0
votes
0answers
343 views

Unable to update linux-mint or install any software from the software manager

Returns error on update manager "Unable to download all repositories" which is followed by a long list of failed connections and ip addresses Also if I try to download any software from the software ...
0
votes
0answers
417 views

Fedup fails to update Fedora 19 to 20

I'm trying to upgrade my Fedora install from 19 (3.12.8-200.fc19.x86_64) to 20. I have installed and ran fedup, it creates a new entry on the boot list but a progress screen is briefly displayed and ...
0
votes
0answers
59 views

How to fix boot failure after update

I did a apt-get update on Debian. After reboot the system lost its mount point and failed to boot. How could be accomplished to fix the boot failure?
0
votes
0answers
95 views

How to upgrade Fedora OpenVZ container over SSH?

what is the standard procedure for upgrading Fedora (18 to 19) that runs as an OpenVZ container on my VPS via SSH? Can I simply use fedup or does the admin have to perform the upgrade from outside of ...
0
votes
0answers
169 views

Update from Grub 1.98 to Grub 2

I currently have an OS called Backtrack installed alongside Windows 7, and I use Grub to boot. The problem is the Grub that comes with this is version 1.98. I'm fine with it except for one thing: ...
0
votes
0answers
115 views

User installation emacs 23 on a centos 5 with system-wide installed emacs-21.4-20.el5?

I would like to install my own copy of emacs 23 on a Centos 5 Linux where I don't have admin rights. I would like to have my own modern copy of emacs on this Centos 5 system since I've got a problem ...
0
votes
0answers
136 views

Upgrade from Fedora 17 -> 18 problem

I tried to update Fedora 17 to 18 from within yum using the directions on the fedora web site. When I rebooted I ended up in the CentOS installer screen. I am not sure how that happend but I can't ...
0
votes
0answers
30 views

How to upgrade Local Server with Local Upgrade Server

This is the case We have One Upgrade Server and it is connected to Redhat Network and it downloads all the updates. Means it is fully up to date. What I need is that I need to connect the client ...